VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Cis::Tagging::TagAssociation::BatchResult Class Reference
Inheritance diagram for Com::Vmware::Cis::Tagging::TagAssociation::BatchResult:

## Avaliable Methods
public method | set_success ()
public method | get_success ()
public method | set_error_messages ()
public method | get_error_messages ()
public method | new ()

## Detailed Description

The `Com::Vmware::Cis::Tagging::TagAssociation::BatchResult` class describes the result of performing the same method on several tags or objects in a single invocation.

## Member Function Documentation

public method Com::Vmware::Cis::Tagging::TagAssociation::BatchResult::get_error_messages | ( |  | ) |

Gets the value of 'error_messages' property.

Return values

  error_messages | - The current value of the field. The list of error messages. List#

Code:
click to view
# Number of lines of code in get_error_messages: 4
sub get_error_messages {
my ($self, %args) = @_;
return $self->{'error_messages'};
}

public method Com::Vmware::Cis::Tagging::TagAssociation::BatchResult::get_success | ( |  | ) |

Gets the value of 'success' property.

Return values

  success | - The current value of the field. This is true if the batch method completed without any errors. Otherwise it is false and all or some methods have failed. boolean#

Code:
click to view
# Number of lines of code in get_success: 4
sub get_success {
my ($self, %args) = @_;
return $self->{'success'};
}

public method Com::Vmware::Cis::Tagging::TagAssociation::BatchResult::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Cis::Tagging::TagAssociation::BatchResult structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{success} = $args{'success'};
$self->{error_messages} = $args{'error_messages'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Cis::Tagging::TagAssociation::BatchResult');
$self->set_binding_name('name' => 'com.vmware.cis.tagging.tag_association.batch_result');
$self->set_binding_field('key' => 'success', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'error_messages', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Std', 'type_name' => 'LocalizableMessage')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Cis::Tagging::TagAssociation::BatchResult::set_error_messages | ( |  | ) |

Sets the given value for 'error_messages' property.

Parameters

  error_messages | - New value for the field. The list of error messages.

Code:
click to view
# Number of lines of code in set_error_messages: 5
sub set_error_messages {
my ($self, %args) = @_;
$self->{'error_messages'} = $args{'error_messages'};
return;
}

public method Com::Vmware::Cis::Tagging::TagAssociation::BatchResult::set_success | ( |  | ) |

Sets the given value for 'success' property.

Parameters

  success | - New value for the field. This is true if the batch method completed without any errors. Otherwise it is false and all or some methods have failed.

Code:
click to view
# Number of lines of code in set_success: 5
sub set_success {
my ($self, %args) = @_;
$self->{'success'} = $args{'success'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Cis/Tagging/TagAssociation.pm